Module | ActionView::Helpers::TranslationHelper
In: | lib/action_view/helpers/translation_helper.rb

### Methods

l localize t translate

### Public Instance methods

l(*args)

Alias for localize

localize(*args)

Delegates to I18n.localize with no additional functionality.

t(key, options = {})

Alias for translate

translate(key, options = {})

Delegates to I18n#translate but also performs two additional functions. First, it‘ll catch MissingTranslationData exceptions and turn them into inline spans that contains the missing key, such that you can see in a view what is missing where.

Second, it‘ll scope the key by the current partial if the key starts with a period. So if you call translate(".foo") from the people/index.html.erb template, you‘ll actually be calling I18n.translate("people.index.foo"). This makes it less repetitive to translate many keys within the same partials and gives you a simple framework for scoping them consistently. If you don‘t prepend the key with a period, nothing is converted.

[Validate]